# angular.service.$cookieStore

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Provides a key-value (string-object) storage, that is backed by session cookies. Objects put or retrieved from this storage are automatically serialized or deserialized by angular's toJson/fromJson.

## Dependencies

- `$cookies`

## Methods

- ### get(key)

  Returns the value of given cookie key

  #### Parameters

  - `key – {string} –`

    Id to use for lookup.

  #### Returns

  `{Object}` –

  Deserialized cookie value.

- ### put(key, value)

  Sets a value for given cookie key

  #### Parameters

  - `key – {string} –`

    Id for the `value`.

  - `value – {Object} –`

    Value to be stored.

- ### remove(key)

  Remove given cookie

  #### Parameters

  - `key – {string} –`

    Id of the key-value pair to delete.

## Example